Bug 984226 - libnl-1 is deprecated, these packages should be linked with libnl3
libnl-1 is deprecated, these packages should be linked with libnl3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libnl (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened
Depends On: 859042 984227 985926 1033675 1034454 1034830 1035791 1035831 1041471 1092943
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 15:29 EDT by Account closed by the user
Modified: 2015-03-21 10:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: python-ethtool-0.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-21 10:09:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Account closed by the user 2013-07-13 15:29:58 EDT
repoquery info:

anaconda
crda
hostapd
ipvsadm
iw
keepalived
knemo
lldpad
netlabel_tools
netsniff-ng
python-ethtool
quota-nld
Comment 1 Thomas Graf 2013-07-14 04:37:55 EDT
You need to file these bugs against the individual components. libnl-1 can't be deprecated until all of the projects have been converted over to libnl-3.
Comment 2 Account closed by the user 2013-07-14 14:36:23 EDT
(In reply to Thomas Graf from comment #1)

> You need to file these bugs against the individual components. libnl-1 can't
> be deprecated until all of the projects have been converted over to libnl-3.

This is a similar bug to #687920
Comment 3 Laine Stump 2013-07-14 18:34:42 EDT
Okay, so it's a "tracker" Bug. Then you should do as Jiri Popelka did in Bug 687920 and open a bug for each package that links against libnl-1, then make this bug dependent on that one. Otherwise the maintainers of those packages will never hear about this problem, and not do anything about it. And it's of course not reasonable to expect the libnl maintainers to do anything about these out-of-date packages :-)
Comment 4 Account closed by the user 2013-07-14 18:40:12 EDT
(In reply to Laine Stump from comment #3)

> Okay, so it's a "tracker" Bug. Then you should do as Jiri Popelka did in Bug
> 687920 and open a bug for each package that links against libnl-1, then make
> this bug dependent on that one. Otherwise the maintainers of those packages
> will never hear about this problem, and not do anything about it.

done for iw: bug # 984227
Comment 5 David Sommerseth 2013-09-11 14:51:36 EDT
regarding python-ethtool, I'm working on this. See bug #859042 for more info.
Comment 6 Fedora End Of Life 2013-09-16 12:46:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Account closed by the user 2013-11-25 16:16:09 EST
$ repoquery --repoid rawhide-source --arch=src --whatrequires libnl-devel --qf '%{base_package_name}'

TODO:
anaconda
dropwatch
hostapd
iproute
keepalived
knemo
lldpad
netlabel_tools
netsniff-ng
python-ethtool
quota
Comment 8 Fedora Update System 2013-12-23 11:19:28 EST
python-ethtool-0.9-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-ethtool-0.9-2.fc19
Comment 9 Fedora Update System 2013-12-23 11:42:39 EST
python-ethtool-0.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ethtool-0.9-2.fc20
Comment 10 Fedora Update System 2014-01-09 15:37:11 EST
python-ethtool-0.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ethtool-0.10-1.fc20
Comment 11 Fedora Update System 2014-01-11 03:42:04 EST
Package python-ethtool-0.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ethtool-0.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0635/python-ethtool-0.10-1.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2014-01-29 22:36:05 EST
python-ethtool-0.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 David Sommerseth 2014-01-30 09:09:40 EST
Whoops!  It was not the intention to close this one.  Still one more unresolved package depending here.
Comment 14 Account closed by the user 2014-01-31 13:04:13 EST
Status:

- quota, done in upstream git.

- netsniff-ng, done in upstream git.

- hostapd: bug #1041471

- netlabel_tools: upstream says "Support for libnl-3 is definitely on the todo list, but it is a relatively low priority item at the moment." 

- lldpad: pending in upstream

- vdsm: for now only libnl-1
Comment 15 Peter Robinson 2014-07-22 09:58:43 EDT
(In reply to Xose Vazquez Perez from comment #14)
> Status:
> 
> - quota, done in upstream git.

Why can't it be pulled in as a patch, there's already a lot of upstream patches.

> - netlabel_tools: upstream says "Support for libnl-3 is definitely on the
> todo list, but it is a relatively low priority item at the moment." 

It doesn't look it actually links again libnl (see below) but only references it in a small area in libnetlabel/netlabel_internal.h which should be a straightforward patch,

> - lldpad: pending in upstream

Fixed in upstream git, patch applied locally for F-21+ but new upstream release due soon.

> - vdsm: for now only libnl-1

It's only used for testing

# repoquery --whatrequires libnl.so.1
libnl-devel-0:1.1.4-4.fc21.i686
lldpad-0:0.9.46-5.fc21.i686
# repoquery --whatrequires libnl
libnl-devel-0:1.1.4-4.fc21.i686
libnl-devel-0:1.1.4-4.fc21.x86_64
lldpad-0:0.9.46-5.fc21.i686
lldpad-0:0.9.46-5.fc21.x86_64
netlabel_tools-0:0.20-3.fc21.x86_64
quota-nld-1:4.01-13.fc21.x86_64
vdsm-0:4.14.8.1-1.fc21.x86_64
Comment 16 Jaroslav Reznik 2015-03-03 09:58:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 17 Fedora Admin XMLRPC Client 2015-03-21 10:07:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Peter Robinson 2015-03-21 10:08:38 EDT
SuSE submitted a patch for upstream to add support of libnl3 to netlabel_tools. Pushed this as netlabel_tools-0.20-5.fc23 netlabel_tools-0.20-5.fc22

vdsm 4.17 adds support for libnl3

And we're done! I've retired it for F-22+

Note You need to log in before you can comment on or make changes to this bug.